function UpdatePetFrames()
    if dis == 1 then PetBattleJunkieFrame:Show() else PetBattleJunkieFrame:Hide() end
    PetBattleJunkieFrame:SetScale(PJ_Settings.pbj_Scale);
    for i=1, 3 do
        local petID = C_PetJournal.GetPetLoadOutInfo(i)
        if petID ~= nil then
            local _, customName, level, xp, maxXP, _,_, Name, peticon  = C_PetJournal.GetPetInfoByPetID(petID);
            local health, maxHealth, _, _, rarity = C_PetJournal.GetPetStats(petID);
            local p = getglobal("pet" .. i .. "Button")
            local pb = getglobal("pet" .. i .. "Border")
            local t = getglobal("pet" .. i .. "tex")
            local n = getglobal("pet" .. i .. "name")
            local php = getglobal("pet" .. i .. "hp")
            local pxp = getglobal("pet" .. i .. "xp")
            if peticon ~= nil then
                t:SetTexture(peticon)
                pb:SetBackdropBorderColor(ITEM_QUALITY_COLORS[rarity-1].r, ITEM_QUALITY_COLORS[rarity-1].g, ITEM_QUALITY_COLORS[rarity-1].b)
                php:SetMinMaxValues(0,maxHealth)
                php:SetValue(health)
                php.value:SetText(health.."/"..maxHealth)
                pxp:SetMinMaxValues(0,maxXP)
                pxp:SetValue(xp)
                pxp.value:SetText(xp.."/"..maxXP)
                p:Show()

                if customName ~= nil then
                    cn = customName
                else
                    if strlen(Name) > 25 then
                        cn = string.sub(Name, 1, 25) .. "..."
                    else
                        cn = Name
                    end
                end
                n:SetText("|cFFFFD700LV. "..level.."|r "..cn)
            end
        end
    end
end

function CreatePetButton(pID)
    local pn = "pet" .. pID
    local pet = CreateFrame("BUTTON",pn .. "Button", PetBattleJunkieFrame)
    pet:SetFrameStrata("LOW")
    pet:SetWidth(64)
    pet:SetHeight(64)
    local t = pet:CreateTexture(pn .. "tex","LOW")
    t:SetAllPoints(pet)
    pet.texture = t
    local n = pet:CreateFontString(pn .. "name", "OVERLAY")
    n:SetFont("Fonts\\FRIZQT__.TTF",18)
    local pbutton = getglobal ("pet" .. pID .. "Button")
    n:SetPoint("TOPLEFT",pbutton, "TOPRIGHT",10,0)
    pet:Hide()
    pet:SetPoint("TOPLEFT", PetBattleJunkieFrame, "TOPLEFT",sp[pID].x,sp[pID].y)
    local statusbar = CreateFrame("StatusBar", pn .. "hp", pbutton)
    statusbar:SetPoint("TOPLEFT", pbutton, "TOPRIGHT", 10,-20 )
    statusbar:SetWidth(320)
    statusbar:SetHeight(20)
    statusbar:SetMinMaxValues(0,100)
    statusbar:SetValue(100)
    statusbar:SetStatusBarTexture("Interface\\TARGETINGFRAME\\UI-StatusBar")
    statusbar:GetStatusBarTexture():SetHorizTile(false)
    statusbar:GetStatusBarTexture():SetVertTile(false)
    statusbar:SetStatusBarColor(0, 0.65, 0)
    statusbar.bg = statusbar:CreateTexture(nil, "BACKGROUND")
    statusbar.bg:SetTexture("Interface\\TARGETINGFRAME\\UI-StatusBar")
    statusbar.bg:SetAllPoints(true)
    statusbar.bg:SetVertexColor(0, 0.35, 0)
    statusbar.value = statusbar:CreateFontString(nil, "OVERLAY")
    statusbar.value:SetPoint("CENTER", statusbar, "CENTER", 0, 0)
    statusbar.value:SetFont("Fonts\\FRIZQT__.TTF", 14, "OUTLINE")
    statusbar.value:SetJustifyH("LEFT")
    statusbar.value:SetShadowOffset(1, -1)
    statusbar.value:SetTextColor(0, 1, 0)

    local statusbar = CreateFrame("StatusBar", pn .. "xp", pbutton)
    statusbar:SetPoint("TOPLEFT", pbutton, "TOPRIGHT", 10,-42 )
    statusbar:SetWidth(320)
    statusbar:SetHeight(20)
    statusbar:SetMinMaxValues(0,100)
    statusbar:SetValue(100)
    statusbar:SetStatusBarTexture("Interface\\TARGETINGFRAME\\UI-StatusBar")
    statusbar:GetStatusBarTexture():SetHorizTile(false)
    statusbar:GetStatusBarTexture():SetVertTile(false)
    statusbar:SetStatusBarColor(0, 0.39, 0.88)
    statusbar.bg = statusbar:CreateTexture(nil, "BACKGROUND")
    statusbar.bg:SetTexture("Interface\\TARGETINGFRAME\\UI-StatusBar")
    statusbar.bg:SetAllPoints(true)
    statusbar.bg:SetVertexColor(0.0, 0.2, 0.38)
    statusbar.value = statusbar:CreateFontString(nil, "OVERLAY")
    statusbar.value:SetPoint("CENTER", statusbar, "CENTER", 0, 0)
    statusbar.value:SetFont("Fonts\\FRIZQT__.TTF", 14, "OUTLINE")
    statusbar.value:SetJustifyH("LEFT")
    statusbar.value:SetShadowOffset(1, -1)
    statusbar.value:SetTextColor(1, 1, 1)

    local pborder = CreateFrame("BUTTON",pn .. "Border" , pbutton)
    pborder:SetFrameStrata("LOW")
    pborder:SetWidth(72)
    pborder:SetHeight(72)
    pborder:SetBackdrop({
        --bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
        edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",
        tile=1, tileSize=16, edgeSize=32,
        insets={left=4, right=4, top=4, bottom=4}
    })
    pborder:SetPoint("TOPLEFT",pbutton,"TOPLEFT",-4,4)
    pborder:RegisterForClicks("LeftButtonUp","RightButtonUp")
    pborder:SetScript("OnClick", function(self,button)
        if button == "LeftButton" then
            TogglePetJournal(2)
        end
        if button == "RightButton" then
            C_PetJournal.SummonPetByGUID(C_PetJournal.GetPetLoadOutInfo(pID))
        end
    end)
end